Subject: Re: [PATCH] tests: make 'test_oid' print trailing newline

From: SZEDER Gábor <[email-masked]>
Date: Thu, 22 Dec 2022 19:58:04 +0100

On Mon, Dec 19, 2022 at 09:48:49AM +0900, Junio C Hamano wrote:
> SZEDER Gábor <[email-masked]> writes:
> >       $ git grep '\stest_oid ' -- ':/t/*.sh'
> >       $ git grep 'echo "\?$(test_oid ' -- ':/t/*.sh'
> 
> I found these examples in the log message a bit annoying to see, as
> both invite an undefined behaviour by having an ordinary character
> ('s' or '?')  preceded by an unescaped backslash in a POSIXly
> correct implementation of BRE.  GNU libc seems to be OK with it (I
> double checked by adding "-G" on the command line to make sure my
> experiments are not affected by any grep.patterntype), but they may
> fail for folks on stricter platforms.

Please feel free to amend the commit message as you see fit.  Usually
I would do that myself as I'm rather picky of my commit messages, but,
alas, I'm not versed in portability issues of regexes, so I'm not sure
what the right regexes would be.